#pragma once

namespace xtr::ui {

class ComInitializer {
  bool needClose{ false };

public:
  ~ComInitializer();
  ComInitializer();
  ComInitializer& operator=(const ComInitializer&) = delete;
  ComInitializer(const ComInitializer&) = delete;
};

} // namespace xtr::ui
